## node-prelude-ls 1.1.2%2Bdfsg

=== debian/tests/control ===
Tests: require
Depends: node-prelude-ls

## node-prelude-ls 1.1.2+dfsg

=== Makefile ===
default: all

SRC = $(shell find src -name "*.ls" -type f | sort)
LIB = $(SRC:src/%.ls=lib/%.js)
LS = node_modules/livescript
LSC = node_modules/.bin/lsc
BROWSERIFY = node_modules/.bin/browserify
UGLIFYJS = node_modules/.bin/uglifyjs
MOCHA = node_modules/.bin/mocha
MOCHA2 = node_modules/.bin/_mocha
ISTANBUL = node_modules/.bin/istanbul

lib:
	mkdir -p lib/

lib/%.js: src/%.ls lib
	$(LSC) --output lib --bare --compile "$<"

browser:
	mkdir browser/

prelude-browser.js: $(LIB) browser preroll.ls
	{ $(LSC) ./preroll.ls ; $(BROWSERIFY) -r ./lib/index.js:prelude-ls ; } > browser/prelude-browser.js

prelude-browser-min.js: browser/prelude-browser.js
	$(UGLIFYJS) browser/prelude-browser.js --mangle --comments "all" > browser/prelude-browser-min.js

package.json: package.json.ls
	$(LSC) --compile package.json.ls

.PHONY: build build-browser test coverage dev-install loc clean

all: build

build: $(LIB) package.json

build-browser: prelude-browser.js prelude-browser-min.js

test: build
	$(MOCHA) --reporter dot --ui tdd --compilers ls:$(LS)

coverage: build
	$(ISTANBUL) cover $(MOCHA2) -- --reporter dot --ui tdd --compilers ls:$(LS)

dev-install: package.json
	npm install .

loc:
	wc --lines src/*

clean:
	rm -f ./*.js
	rm -rf lib
	rm -rf browser
	rm -rf coverage
	rm -f package.json

=== debian/changelog ===
node-prelude-ls (1.1.2+dfsg-2build2) zesty; urgency=medium

  * Revert to Debian packaging (LP: #1644894)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Dec 2016 05:36:07 -0500

node-prelude-ls (1.1.2+dfsg-2build1) zesty; urgency=medium

  * Bootstrap

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 13 Dec 2016 22:42:29 -0500

node-prelude-ls (1.1.2+dfsg-2) unstable; urgency=medium

  * Add node-sinon as build dependnecy and run tests

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Oct 2016 16:37:02 +0530

node-prelude-ls (1.1.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #840493)

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Oct 2016 15:50:39 +0530

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build

=== debian/tests/control ===
Tests: require
Depends: node-prelude-ls

Test-Command: make test
Depends: @

## node-prelude-ls 1.2.1%2Bdfsg

=== debian/control ===
Source: node-prelude-ls
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               nodejs,
               mocha,
               livescript,
               node-sinon,
               pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-prelude-ls
Vcs-Git: https://salsa.debian.org/js-team/node-prelude-ls.git
Homepage: https://preludels.com
Rules-Requires-Root: no

Package: node-prelude-ls
Architecture: all
Depends: ${misc:Depends},
         nodejs
Multi-Arch: foreign
Description: functionally oriented utility library
 It is powerful and flexible. Almost all of its functions are curried. It is
 written in, and is the recommended base library for, LiveScript.
 .
 Node.js is an event-based server-side JavaScript engine.

## node-prelude-ls 1.2.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -7,8 +7,6 @@
 BROWSERIFY = node_modules/.bin/browserify
 UGLIFYJS = node_modules/.bin/uglifyjs
 MOCHA = node_modules/.bin/mocha
-MOCHA2 = node_modules/.bin/_mocha
-ISTANBUL = node_modules/.bin/istanbul
 
 lib:
 	mkdir -p lib/
@@ -28,7 +26,7 @@
 package.json: package.json.ls
 	$(LSC) --compile package.json.ls
 
-.PHONY: build build-browser test coverage dev-install loc clean
+.PHONY: build build-browser test dev-install loc clean
 
 all: build
 
@@ -37,10 +35,7 @@
 build-browser: prelude-browser.js prelude-browser-min.js
 
 test: build
-	$(MOCHA) --reporter dot --ui tdd --compilers ls:$(LS)
-
-coverage: build
-	$(ISTANBUL) cover $(MOCHA2) -- --reporter dot --ui tdd --compilers ls:$(LS)
+	$(MOCHA) --ui tdd --require livescript "test/**/*.ls"
 
 dev-install: package.json
 	npm install .
@@ -52,5 +47,4 @@
 	rm -f ./*.js
 	rm -rf lib
 	rm -rf browser
-	rm -rf coverage
 	rm -f package.json

=== debian/changelog ===
node-prelude-ls (1.2.1+dfsg-3) unstable; urgency=medium

  * Team upload
  * Drop package.json workaround using dh-sequence-nodejs ≥ 0.9.71~
  * Enable autopkgtest using dh-sequence-nodejs auto test
  * Drop useless debian/source/lintian-overrides

 -- Yadd <yadd@debian.org>  Mon, 04 Oct 2021 09:40:55 +0200

node-prelude-ls (1.2.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Use classical autopkgtest
  * Drop depends on nodejs
  * Fix FTBFS by refreshing package.json
  * Run make test
  * Suggests livescript

 -- Bastien Roucariès <rouca@debian.org>  Sun, 03 Oct 2021 12:52:16 +0000

node-prelude-ls (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Fix copyright
  * New upstream version 1.2.1+dfsg (Closes: #963351)
  * Refresh tests and enable all upstream tests
  * Add lintian overrides
  * Add "Multi-Arch: foreign"

 -- Xavier Guimard <yadd@debian.org>  Tue, 23 Jun 2020 10:41:05 +0200

node-prelude-ls (1.1.2+dfsg-5) unstable; urgency=medium

  * Team Upload.
  * Add-in tests after transpiling via lsc (Closes: #952216)
  * Disable and fix failing tests
  * Fix URL in metadata

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 25 Feb 2020 07:51:59 +0000

node-prelude-ls (1.1.2+dfsg-4) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Use nodepath to find livescript
  * Use pkg-js-tools auto test & install
  * Add debian/clean
  * Update metadata
  * Ignore 2 test that fail with Node.js ≥ 12
  * Update test to use mocha directly

 -- Xavier Guimard <yadd@debian.org>  Fri, 24 Jan 2020 15:55:20 +0100

node-prelude-ls (1.1.2+dfsg-3) unstable; urgency=medium

  * Team upload
  * Refresh patches
  * Add upstream/metadata
  * Add patch to disable failing tests (reported to upstream) (Closes: #918421)
  * Bump debheper compatibility level to 11
  * Change section to javascript
  * Declare compliance with policy 4.3.0
  * Update CVD fields to salsa
  * Update debian/copyright format url
  * Update homepage to https
  * Add minimal description to patches
  * Remove useless "make test" test in autopkgtest files

 -- Xavier Guimard <yadd@debian.org>  Tue, 22 Jan 2019 23:15:52 +0100

=== debian/control ===
Source: node-prelude-ls
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               nodejs:native,
               mocha <!nocheck>,
               livescript,
               node-sinon,
               dh-sequence-nodejs (>= 0.9.71~)
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-prelude-ls
Vcs-Git: https://salsa.debian.org/js-team/node-prelude-ls.git
Homepage: https://preludels.com
Rules-Requires-Root: no

Package: node-prelude-ls
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Suggests: livescript
Description: functionally oriented utility library for Livescript
 This library is a base library for LiveScript, including tools
 and basic functions, for instance mathematical basic functions.
 .
 LiveScript is a functional programming language that compiles
 to JavaScript.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build
+	make build

=== debian/tests/control ===
Test-Command: make test
Depends: @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?/)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE-$1% \
 https://github.com/gkz/prelude-ls/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
